MKPASSWD(1)

NOM
mkpasswd – Frontal complet pour crypt(3)

SYNOPSIS
mkpasswd MOT_DE_PASSE [SALAGE]

DESCRIPTION
mkpasswd chiffre le MOT_DE_PASSE indiqué avec la fonction crypt(3) de libc en utilisant le SALAGE indiqué.

OPTIONS

-S CHAINE, --salt=CHAINE
    Utiliser CHAINE comme SALAGE. Si elle débute par $, elle est passée directement à crypt(3) sans aucune vérification.

-R NOMBRE --rounds=NOMBRE
    Utiliser NOMBRE tours. Cet argument est ignoré si la fonction choisie ne gère pas les nombres de tours. Pour la méthode Blowfish d’OpenBSD, c’est le logarithme du nombre de tours. Le comportement de cette option est indéfini si elle est utilisée sans l’option --method.

-m TYPE, --method=TYPE
    Calculer le mot de passe en utilisant la méthode TYPE. Si celle-ci est help, la liste des méthodes disponibles est affichée. Si TYPE commence et se termine avec le caractère $, la chaine est passée à crypt_gensalt(3) telle quelle.

-5  Identique à --method=md5crypt.

-P NUMÉRO, --password-fd=NUMÉRO
    Lire le mot de passe à partir du descripteur de fichier NUMÉRO au lieu d’utiliser getpass(3). Si le descripteur de fichier n’est pas connecté à un tty, seul le hachage du mot de passe est affiché sur la sortie standard.

-s, --stdin
    Identique à --password-fd=0.

ENVIRONNEMENT

MKPASSWD_OPTIONS
    Une liste d’options évaluées avant celles indiquées dans la ligne de commande.

BOGUES
Si l’option --stdin est utilisée, les mots de passe contenant des caractères de contrôle peuvent ne pas être lus correctement.

Ce programme manque de simplicité et de convivialité.

VOIR AUSSI
passwd(1), passwd(5), crypt(3), crypt(5), crypt_gensalt(3), getpass(3).

AUTEUR
mkpasswd et cette page de manuel ont été écrits par Marco d'Itri <md@linux.it> et sont sous licence GPL (GNU General Public License), version 2 ou postérieure.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.